#include <stdio.h>
#include <stdlib.h>

int main()
{
   int a,b,x,y;
   scanf("%i",&a);
   scanf("%i",&b);
   scanf("%i",&x);
   scanf("%i",&y);
   if (x==a)
   {
       if (y==b)
       {
           printf("nijedan");
       }
       else
       {
           printf("drugi");
       }
   }
   else
   {
       if(y==b)
       {
           printf("prvi");
       }
       else
       {
           printf("?");
       }
   }
}